## org.firebirdsql.jdbc
Class FBSQLWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  java.sql.SQLWarning
                      org.firebirdsql.jdbc.FBSQLWarning

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class FBSQLWarning

extends SQLWarning

This class is a wrapper for `GDSException` instance that is warning.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Field Summary
`static String` `SQL_STATE_WARNING`

Constructor Summary
`FBSQLWarning(GDSException original)` Create instance of this class.
`FBSQLWarning(String message)` Create instance of this class for the specified message.

Method Summary
`int` `getErrorCode()` Get error code for this warning.
`Exception` `getInternalException()`
`String` `getMessage()`
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream s)`
`void` `printStackTrace(PrintWriter s)`

Methods inherited from class java.sql.SQLWarning
`getNextWarning, setNextWarning`

Methods inherited from class java.sql.SQLException
`getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SQL_STATE_WARNING

    public static final String SQL_STATE_WARNING

See Also:
  Constant Field Values

Constructor Detail

### FBSQLWarning

    public FBSQLWarning(GDSException original)

  Create instance of this class.

  Parameters:
    `original` - instance of `GDSException` that is warning
  Throws:
    `IllegalArgumentException` - if `original.isWarning()` returns `false`).

### FBSQLWarning

    public FBSQLWarning(String message)

  Create instance of this class for the specified message.

  Parameters:
    `message` - message for this warning.

Method Detail

### getErrorCode

    public int getErrorCode()

  Get error code for this warning.

  Overrides:
    `getErrorCode` in class `SQLException`
  Returns:
    error code for this warning.

### getInternalException

    public Exception getInternalException()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Overrides:
    `printStackTrace` in class `Throwable`

Copyright © 2001-2010. All Rights Reserved.